
Foreman - Bug #2615

Provide more information for failure to create content

06/04/2013 03:28 PM - Bryan Kearney

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Plugin integration   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

https://bugzilla.redhat.com/show_bug.cgi?id=970663

Description of problem:

While creating a new host group (see https://bugzilla.redhat.com/show_bug.cgi?id=970662) I noticed that Foreman was not providing

the true reason as to why there was a failure. It would be great if we could be more verbose about these types of failures as well as

bubble up a user friendly message to the user in the UI. All the logs show is a generic "Failed to save: " message and there's no

indication in the UI as to what failed.

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.8.9-1.el6_4.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.8.9-1.el6_4.noarch

candlepin-tomcat6-0.8.9-1.el6_4.noarch

elasticsearch-0.19.9-8.el6sat.noarch

foreman-1.1.10002-44.noarch

foreman-ec2-1.1.10002-44.noarch

foreman-installer-puppet-concat-0-2.d776701.git.0.21ef926.el6sat.noarch

foreman-installer-puppet-dhcp-0-5.3a4a13c.el6sat.noarch

foreman-installer-puppet-dns-0-7.fcae203.el6sat.noarch

foreman-installer-puppet-foreman-0-6.568c5c4.el6sat.noarch

foreman-installer-puppet-foreman_proxy-0-8.bd1e35d.el6sat.noarch

foreman-installer-puppet-puppet-0-3.ab46748.el6sat.noarch

foreman-installer-puppet-tftp-0-5.ea6c5e5.el6sat.noarch

foreman-installer-puppet-xinetd-0-50a267b8.git.0.44aca6a.el6sat.noarch

foreman-libvirt-1.1.10002-44.noarch

foreman-postgresql-1.1.10002-44.noarch

foreman-proxy-1.1.10002-1.el6sat.noarch

foreman-proxy-installer-1.0.1-8.f5ae2cd.el6sat.noarch

katello-1.4.2-8.el6sat.noarch

katello-all-1.4.2-8.el6sat.noarch

katello-candlepin-cert-key-pair-1.0-1.noarch

katello-certs-tools-1.4.2-2.el6sat.noarch

katello-cli-1.4.2-6.el6sat.noarch

katello-cli-common-1.4.2-6.el6sat.noarch

katello-common-1.4.2-8.el6sat.noarch

katello-configure-1.4.3-12.el6sat.noarch

katello-configure-foreman-1.4.3-12.el6sat.noarch

katello-foreman-all-1.4.2-8.el6sat.noarch

katello-glue-candlepin-1.4.2-8.el6sat.noarch

katello-glue-elasticsearch-1.4.2-8.el6sat.noarch
katello-glue-pulp-1.4.2-8.el6sat.noarch

katello-qpid-broker-key-pair-1.0-1.noarch

katello-qpid-client-key-pair-1.0-1.noarch

katello-selinux-1.4.3-3.el6sat.noarch

openldap-2.4.23-31.el6.x86_64

pulp-rpm-plugins-2.1.1-1.el6sat.noarch

pulp-selinux-2.1.1-1.el6sat.noarch

pulp-server-2.1.1-1.el6sat.noarch

python-ldap-2.3.10-1.el6.x86_64

ruby193-rubygem-ldap_fluff-0.1.7-3.el6sat.noarch

ruby193-rubygem-net-ldap-0.2.2-7.el6_4.noarch

signo-0.0.15-1.el6sat.noarch

signo-katello-0.0.15-1.el6sat.noarch

How reproducible:

Steps to Reproduce:

1.

2.

3.

Actual results:

Expected results:

Additional info:

Started POST "/foreman/hostgroups" for 127.0.0.1 at 2013-06-04 09:43:28 -0400

Processing by HostgroupsController#create as HTML

Parameters: {"utf8"=>"✓", "authenticity_token"=>"2aMzo6DbPV6vgYHtNcPVPpb04gzGDAHqb/k5vAfWA5s=",

"hostgroup"=>{"parent_id"=>"", "name"=>"qegroup2", "environment_id"=>"7", "puppet_ca_proxy_id"=>"1", "puppet_proxy_id"=>"1",

"puppetclass_ids"=>[""], "domain_id"=>"3", "subnet_id"=>"1", "architecture_id"=>"1", "operatingsystem_id"=>"1", "medium_id"=>"6",

"ptable_id"=>"1", "root_pass"=>"[FILTERED]", "group_parameters_attributes"=>{"1370353408723"=>{"name"=>"kt_activation_keys",

"value"=>"[FILTERED]", "_destroy"=>"kt_activation_keys", "nested"=>""}, "1370353408733"=>{"name"=>"kt_org",

"value"=>"[FILTERED]", "_destroy"=>"kt_org", "nested"=>""}, "1370353408739"=>{"name"=>"kt_env", "value"=>"[FILTERED]",

"_destroy"=>"kt_env", "nested"=>""}, "1370353408745"=>{"name"=>"kt_cv", "value"=>"[FILTERED]", "_destroy"=>"kt_cv",

"nested"=>""}}, "organization_ids"=>["", "", "2"]}, "kt_activation_keys"=>"ActivationKey1", "commit"=>"Submit"}

Failed to save:

Rendered puppetclasses/_selectedClasses.html.erb (0.0ms)

Rendered puppetclasses/_classes.html.erb (3.3ms)

Rendered puppetclasses/_class_selection.html.erb (7.4ms)

Rendered common/_domain.html.erb (6.5ms)

Rendered common/_domain_subnet.html.erb (11.5ms)

Rendered common/os_selection/_architecture.html.erb (3.1ms)

Rendered common/os_selection/_operatingsystem.html.erb (6.0ms)

Rendered common/os_selection/_initial.html.erb (11.3ms)

Rendered puppetclasses/_class_parameters.html.erb (0.0ms)

Rendered puppetclasses/_classes_parameters.html.erb (5.0ms)

Rendered common_parameters/_puppetclass_parameter.erb (2.7ms)

Rendered common_parameters/_puppetclasses_parameters.erb (4.7ms)

Rendered common_parameters/_parameter.erb (1.7ms)

Rendered common_parameters/_parameter.erb (1.6ms)

Rendered common_parameters/_parameter.erb (1.3ms)

Rendered common_parameters/_parameter.erb (1.0ms)

Rendered common_parameters/_parameter.erb (1.0ms)

Rendered common_parameters/_parameters.erb (9.6ms)

Rendered hostgroups/_form.html.erb (75.8ms)

Rendered hostgroups/new.html.erb within layouts/application (76.2ms)

Rendered home/_user_dropdown.html.erb (0.9ms)

Read fragment views/tabs_and_title_records-1 (0.1ms)

Rendered home/_topbar.html.erb (1.3ms)

Completed 200 OK in 236ms (Views: 69.0ms | ActiveRecord: 34.6ms)

Started GET "/foreman/foreman_katello_engine/activation_keys?environment_id=7" for 127.0.0.1 at 2013-06-04 09:43:29 -0400

Processing by ForemanKatelloEngine::ActivationKeysController#index as */*

Parameters: {"environment_id"=>"7"}

Completed 200 OK in 510ms (Views: 0.5ms | ActiveRecord: 1.5ms)
Associated revisions

Revision 410505f4 - 06/06/2013 10:46 AM - Marek Hulán

Fixes #2615 - failed to save host group

If there was current organization selected, organizations got doubled

which prevented save. Fixed and added test for this part.

Revision f18d6b93 - 06/06/2013 11:20 AM - Marek Hulán

Fixes #2615 - failed to save host group

If there was current organization selected, organizations got doubled

which prevented save. Fixed and added test for this part.

(cherry picked from commit 410505f49b09e8b9295551e5b2ff9f7fe95add6e)

History

#1 - 06/05/2013 06:34 AM - Marek Hulán

- Category set to 47

- Status changed from New to Assigned

- Assignee set to Marek Hulán

#2 - 06/06/2013 03:30 AM - Marek Hulán

- Status changed from Assigned to Ready For Testing

awaiting review in https://github.com/theforeman/foreman/pull/695

related BZ:

https://bugzilla.redhat.com/show_bug.cgi?id=970663

https://bugzilla.redhat.com/show_bug.cgi?id=968774

#3 - 06/06/2013 11:17 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 410505f49b09e8b9295551e5b2ff9f7fe95add6e.

#4 - 03/16/2020 03:11 PM - Tomer Brisker

- Category changed from 47 to Plugin integration

Powered by TCPDF (www.tcpdf.org)

05/17/2024 3/3

https://github.com/theforeman/foreman/pull/695
https://bugzilla.redhat.com/show_bug.cgi?id=970663
https://bugzilla.redhat.com/show_bug.cgi?id=968774
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/410505f49b09e8b9295551e5b2ff9f7fe95add6e
http://www.tcpdf.org

